# Interlanguage Checker
Check the consistency of MediaWiki interlanguage links in a simple overview.

## Introduction
[Interlanguage links](https://community.fandom.com/wiki/Help:Interlanguage_link) allow wikis to tell users where to find
translations of articles.
Without the [interlanguage extension](https://www.mediawiki.org/wiki/Extension:Interlanguage), each translation is
responsible for maintaining its own outgoing links.
As the number of translations grows, the network of links becomes more **complex**, and the number of **errors** grows.

The **Interlanguage Checker** traverses the network of interlanguage links starting from a given article and shows you
that network in a table.
If there are missing or incorrect links, you can quickly **spot** them and **fix** them.

## Usage
To use the tool, you should enter the link to the [API of the wiki](https://www.mediawiki.org/wiki/API:Main_page) you
want to check.
For **Wikimedia** wikis, this is <code>&lt;example.org&gt;/w/api.php</code>.
For **Fandom** wikis, this is <code>&lt;wiki&gt;.fandom.com/api.php</code>.

## Issues
If you need **help**, have a **question**, or found a **bug**, please
[open an issue](https://git.fwdekker.com/FWDekker/interlanguage-checker/issues/new) or
[leave a talk message](https://fallout.fandom.com/wiki/User_talk:FDekker).
